<?php
require_once('auth.php');
?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Kurzinfo bearbeiten - RRZE NavEditor 2.0 Beta</title>
<link rel="stylesheet" type="text/css" href="css/styles.css" />

<script type="text/javascript" src="tiny_mce32/tiny_mce.js"></script>
<script type="text/javascript">
tinyMCE.init({
	mode: "textareas",
	theme: "advanced",
	skin: "o2k7",
	plugins: "safari,pagebreak,style,layer,table,save,advhr,advimage,advlink,emotions,iespell,inlinepopups,insertdatetime,preview,media,searchreplace,print,contextmenu,paste,directionality,fullscreen,noneditable,visualchars,nonbreaking,xhtmlxtras,template",
	theme_advanced_toolbar_location: "top",
	theme_advanced_toolbar_align: "left",
	theme_advanced_statusbar_location: "bottom",
	convert_urls: false
});
</script>

<script type="text/javascript" src="js/jquery-1.2.6.pack.js"></script>
<script type="text/javascript" src="js/json2.js"></script>
<script type="text/javascript">
function loadContentCallback(data)
{
	$("#txtContent").val(data);
	tinyMCE.get("txtContent").setContent(data);
}

function saveContentCallback(data)
{
	alert(data);
	location.reload();
}

/* ---------- Here comes jQuery: ---------- */
$(document).ready(function() {
	$.get("app/edit_kurz.php?r=" + Math.random(), {
		"json_oper": "get_content"
	}, loadContentCallback); // load tree data
	
	$("#btnUpdate").click(function() {
		if(confirm("Are you sure to save?")) {
			var cnt = tinyMCE.get("txtContent").getContent();
			$.post("app/edit_kurz.php", {
				"json_oper": "update_content",
				"content_html": cnt
			}, saveContentCallback);
		}
	});
});
</script>
</head>

<body id="bd_Kurz">
<div id="wrapper">
	<h1 id="header">RRZE NavEditor 2.0 <sup>beta</sup></h1>
	<div id="navBar">
		<script type="text/javascript" src="js/page_nav.js"></script>
	</div>
	
	<div id="contentPanel1">
		<form action="" method="post" name="frmEdit" id="frmEdit">
			<fieldset>
				<legend>Kurzinfo bearbeiten</legend>
				<label for="txtContent">Content:</label>
				<p><a href="app/upload_img.php" target="_blank">Bild hochladen...</a></p>
				<textarea id="txtContent" name="txtContent" cols="80" rows="25" class="textBox"></textarea>
				<hr size="1" noshade="noshade" />
				<input type="button" id="btnUpdate" name="btnUpdate" value="Update" class="button" />
			</fieldset>
		</form>
	</div>
	
	<div id="footer">&copy; 2007-08 Ke.Chang@rrze.uni-erlangen.de</div>
</div>
</body>

</html>
